SND_ASSERT(9)

NAME
snd_assert - run-time assertion macro

SYNOPSIS

snd_assert (expr, args...);

ARGUMENTS

expr
    expression

args...
    variable arguments

DESCRIPTION

This macro checks the expression in run-time and invokes the commands given in the rest arguments if the assertion is failed. When CONFIG_SND_DEBUG is not set, the expression is executed but not checked.